# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'netilion/version'

Gem::Specification.new do |spec|
  spec.name          = 'netilion'
  spec.version       = Netilion::VERSION
  spec.authors       = ['Marco Roth', 'Valentino Rusconi']
  spec.email         = ['marco.roth@endress.com', 'valentino.rusconi@endress.com']

  spec.summary       = 'Ruby Wrapper for the Netilion Information Hub API'
  spec.description   = 'Ruby Wrapper for the Netilion Information Hub API'
  spec.homepage      = 'https://netilion.endress.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'lhs', '>= 20.1', '< 25.0'
  spec.add_dependency 'zeitwerk', '~> 2.2'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rubocop', '~> 0.74'
end
